#ifndef __CMASTERPASSCHANGEDIALOG_H__
#define __CMASTERPASSCHANGEDIALOG_H__


#include <wx/wx.h>


class CMasterPassChangeDialog : public wxDialog
{
public:
	explicit CMasterPassChangeDialog();
	virtual ~CMasterPassChangeDialog();

	void onCancel(wxCommandEvent& pEvent);
	void onOk(wxCommandEvent& pEvent);

	wxString getOldPass() const;
	wxString getNewPass() const;

private:
	wxTextCtrl* mWxTextCtrlOldPass;
	wxTextCtrl* mWxTextCtrlNewPassFirst;
	wxTextCtrl* mWxTextCtrlNewPassSecond;
	wxString mOldPass;
	wxString mNewPass;
};


bool showDlgChangeMasterPassword(wxString &outOldPass, wxString &outNewPass);


#endif // __CMASTERPASSCHANGEDIALOG_H__
