#ifndef __COMMON_H__
#define __COMMON_H__

#include <string>
#include <cstdint>
#include <vector>
#include <cstdio>
#include <wx/string.h>
#include "msgbox.h"
#include <cstring>

wxString arrayToHex(const uint8_t *arr, size_t len);
wxString arrayToHex(const std::vector<uint8_t> &arr);
wxString int64ToHex(int64_t val);

void showDebugMsg(const wxString &msg);


std::vector<uint8_t> wxStringToRawData(const wxString &str);
wxString wxStringFromRawData(const std::vector<uint8_t> &raw);

#endif  // __COMMON_H__
