#ifndef __CRYQUEUE_STORAGE_H__
#define __CRYQUEUE_STORAGE_H__

#include <vector>
#include "cryqueue_storage_impl.h"
#include "ServerElement.h"


class CFileItem;
class CServerItem;
class CServer;


class CCryptedQueueStorage
{
public:
	CCryptedQueueStorage();
	virtual ~CCryptedQueueStorage();

	CCryptedQueueStorage(CCryptedQueueStorage const&) = delete;
	CCryptedQueueStorage& operator=(CCryptedQueueStorage const&) = delete;

	static bool SaveQueue(std::vector<CServerItem*> const& queue);
	static bool LoadQueue(std::vector<ServerElement> &queue);

	static wxString GetDatabaseFilename();
};

#endif //__CRYQUEUE_STORAGE_H__
