#ifndef __CMASTERPASSENTERDIALOG_H__
#define __CMASTERPASSENTERDIALOG_H__


#include <wx/wx.h>


class CMasterPassEnterDialog : public wxDialog
{
public:
	explicit CMasterPassEnterDialog();
	virtual ~CMasterPassEnterDialog();


	void onCancel(wxCommandEvent& pEvent);
	void onOk(wxCommandEvent& pEvent);
	void onChangeMasterPassword(wxCommandEvent& pEvent);

	wxString getPass() const;
	bool isChangePass() const;

private:
	wxTextCtrl* mWxTextCtrlPass;
	wxString mPass;
	bool mIsChangePass;
};


bool showDlgEnterMasterPassword(wxString &outPass, bool &isChangeMasterPass);


#endif // __CMASTERPASSENTERDIALOG_H__
