#include <filezilla.h>
#include "cryqueue_storage.h"
#include "Options.h"
#include "queue.h"
#include <wx/wx.h>
#include "Common.h"
#include "CryptFiles.h"
#include "ServerElement.h"
#include "cryqueue_storage_impl.h"

CCryptedQueueStorage::CCryptedQueueStorage()
{
}

CCryptedQueueStorage::~CCryptedQueueStorage()
{
}

bool CCryptedQueueStorage::SaveQueue(std::vector<CServerItem*> const& queue)
{
	// That Method is Alredy Covered By Mutex QUEUE
	
	CCryptedQueueStorageImpl impl;
	return impl.saveQueue(queue);
}

bool CCryptedQueueStorage::LoadQueue(std::vector<ServerElement> &queue)
{
	// That Method is Alredy Covered By Mutex QUEUE

	CCryptedQueueStorageImpl impl;
	return impl.loadQueue(queue);
}

wxString CCryptedQueueStorage::GetDatabaseFilename()
{
	wxString filePath;
	if (CryptFiles::getFilePathByType(CryptFileType::QueueSqlite3, filePath))
		return filePath;
	return wxString();
}
